Subject: Re: GPL specifics -- was: [Nel] Gamer question

From: Michael Warnock <[email-masked]>
Date: Thu, 13 Dec 2001 18:40:54 -0800

>I don't want to drag this out eternally, but I see a little lapse of 
>reasoning. Technically speaking, the development version of Ryzom is probably 
>currently being linked and tested with NeL, therefore, Ryzom must inherit the 
>GPL. 
>Therefore, the current development code is in the public domain, therefore 
>should be published. Of course, I understand your need to keep Ryzom "secret" 
>until it is done, releasable and sellable, so that you can put food on your 
>plates (and buy big cars for your Venture Capital people), yet, isn't this 
>secrecy a violation of the GPL, since Ryzom is GPL'd?
>
the gpl only requires source distribution in the event of binary distribution- as long as ryzom remains unreleased, the code is nevrax's domain- and even when it is released it will not be "public domain" because that implies a 
total lack of license, or even copyright which nevrax will always retain.

>Wouldn't it be better then, for Nevrax, if NeL was LGPL, and thereby making 
>it legal (or rather, in accordance to the GPL) for you to keep Ryzom from 
>public eyes? 
>
lgpl vs gpl is certainly a complicated issue.  it often makes a lot of business sense for a company to straddle the line between opensource and proprietary software, releasing libraries or some other chunk of code and selling 
another proprietary chunk that is either linked to their lgpl libraries or makes use of the opensource code in some other way.  in games, however, there is a lot of important copyrighted content required to play the official game 
and in the case of an mmorpg there is probably a subscription cost associated with the service of running the network/updating the content.  at InOrbit, we plan to release our client source and would do so even if nel were lgpl 
.  that does not mean that you'll be able to play our games for free, however.  it seems nevrax feels the same way and is ensuring other developers will release their clients too by using the general gpl rather than the lesser.
we should count ourselves very lucky that a well funded and talented game company has released their libraries and even luckier that they'll release their own game's source when they're ready.  we can't expect them to spend 
their time packaging up and tech-supporting their pre-beta game, though, they have responsibilities to their publisher.

thanks again nevrax,
Michael Warnock
InOrbit Entertainment Inc.